%define	upstream_name	 Archive-Extract
%define upstream_version 0.76

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1

Summary:	A generic archive extracting mechanism

License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org:21/pub/CPAN/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(IPC::Cmd)                  >= 0.360.0
BuildRequires:	perl(Module::Load::Conditional) >= 0.40.0
BuildRequires:	perl-version
BuildArch:	noarch

%description
Archive::Extract is a generic archive extraction mechanism.

It allows you to extract any archive file of the type .tar, .tar.gz, .gz, .Z,
tar.bz2, .tbz, .bz2 or .zip without having to worry how it does so, or use
different interfaces for each type by using either perl modules, or commandline
tools on your system.

%prep
%setup -qn  %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%makeinstall_std

%files
%doc README CHANGES
%{perl_vendorlib}/Archive/*
%{_mandir}/*/*

%changelog

* Thu Dec 31 2015 dsilakov <denis.silakov@rosalab.ru> 0.760.0-1
- (e95ceb5) Merge pull request #4 from import/perl-Archive-Extract:auto_update
- (e95ceb5) Updated to 0.76 (by updates_builder)


